This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 429863 - kernel parameter "nousb" doesn't disable ehci_hcd
kernel parameter "nousb" doesn't disable ehci_hcd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 10:11 EST by Ralf Corsepius
Modified: 2008-03-10 19:21 EDT (History)
0 users

See Also:
Fixed In Version: 2.6.24.3-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 19:21:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-01-23 10:11:41 EST
Description of problem:
kernel parameter "nousb" doesn't affect ehci_hcd (doesn't "not load ehci_hcd").

Version-Release number of selected component (if applicable):
kernel-2.6.23.9-85.fc8

How reproducible:
Always

Steps to Reproduce:
1. Add nousb to kernel parameters
2. reboot
3. lsmod | grep hci_hcd
  
Actual results:
Despite "nousb", the ehci_hcd kernel module is being loaded.
ohci_hcd and uhci_hcd aren't.

# lsmod | grep hci_hcd
ehci_hcd               39117  0 

Expected results:
ehci_hcd not to be loaded

Additional info:
Comment 1 Chuck Ebbert 2008-01-23 14:28:19 EST
That driver doesn't check for usb_disabled(). Test patch in rawhide.
Comment 2 Chuck Ebbert 2008-03-10 19:21:13 EDT
Fixed in 2.6.24.3-12.

Note You need to log in before you can comment on or make changes to this bug.